Glasgow Warriors vs Dragons RFC · United Rugby Championship
United Rugby Championship · 2025-26Full time
49–0

Match report
Glasgow Warriors beat Dragons RFC 49-0 at Scotstoun Stadium, Glasgow in round 3 of the United Rugby Championship on Saturday, 11 October 2025.
Written automatically from the match data; updated as results come in.
Head to head
7
Glasgow Warriors wins (78%)
0
Draws (0%)
2
Dragons RFC wins (22%)
Last 9 meetings, since December 2020
Biggest Glasgow Warriors win
49–0
11 Oct 2025
Biggest Dragons RFC win
26–17
21 Mar 2021
Last 5 meetings
- 11 Oct 2025 · United Rugby ChampionshipGlasgow Warriors49Dragons RFC011 Oct 2025Glasgow Warriors49–0Dragons RFCUnited Rugby Championship
- 16 Feb 2025 · United Rugby ChampionshipDragons RFC20Glasgow Warriors4516 Feb 2025Dragons RFC20–45Glasgow WarriorsUnited Rugby Championship
- 17 Feb 2024 · United Rugby ChampionshipGlasgow Warriors40Dragons RFC717 Feb 2024Glasgow Warriors40–7Dragons RFCUnited Rugby Championship
- 1 Apr 2023 · Challenge CupGlasgow Warriors73Dragons RFC331 Apr 2023Glasgow Warriors73–33Dragons RFCChallenge Cup
- 28 Jan 2023 · United Rugby ChampionshipDragons RFC28Glasgow Warriors4228 Jan 2023Dragons RFC28–42Glasgow WarriorsUnited Rugby Championship
Lineups
Avg. age
27.9
Avg. age
26.1
Glasgow Warriors
- 1Rory Sutherland(34)
- 2Gregor Hiddleston(24)
- 3Fin Richardson(28)
- 4Alexander Craig(29)
- 5Scott Cummings(29)
- 6Gregor Brown(25)
- 7Macenzzie Duncan(23)
- 8Euan Ferrie(25)
- 9George Horne(31)
- 10Adam Hastings(30)
- 11Jamie Dobie(25)
- 12Sione Tuipulotu(29)
- 13Ollie Smith(26)
- 14Kyle Steyn(32)
- 15Josh McKay(29)
Replacements
- 16Johnny Matthews(33)
- 17Patrick Schickerling(28)
- 18Murphy Walker(26)
- 19Alex Samuel(23)
- 20Max Williamson(24)
- 21Angus Fraser(26)
- 22Ben Afshar(23)
- 23Dan Lancaster(25)
Dragons RFC
- 1Rodrigo Martinez(28)
- 3Dillon Lewis(30)
- 4Levi Douglas(31)
- 5Seb Davies(30)
- 6Ryan Woodman(22)
- 7Shane Lewis-Hughes(29)
- 8Mackenzie Martin(22)
- 9Che Hope(23)
- 11David Richards(27)
- 12Harri Ackerman(21)
- 13Aneurin Owen(26)
- 14Fine Inisi(28)
- 15Huw Anderson(22)
Replacements
- 16James Benjamin(32)
- 17Dylan Kelleher-Griffiths(23)
- 18Christian Coleman(28)
- 19Matthew Screech(33)
- 20Harry Beddall(21)
- 21Niall Armstrong(27)
- 22Tinus De Beer(30)
- 23Rio Dyer(26)